Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 0a94e13d0d122caab219884890c29edcb2893c60)
+++ options/COMMAND	(revision 6d73c4be98f6a308eed735650a968ac230fd19ef)
@@ -19,5 +19,5 @@
  IFINE=                 4, ! Reduction for time step in vertical transport, used only if CTL>1 
  IOUT=                  1, ! Output type: [1]mass 2]pptv 3]1&2 4]plume 5]1&4, +8 for NetCDF output     
- IPOUT=                 0, ! Particle position output: 0]no 1]every output 2]only at end 3]time averaged
+ IPOUT=                 0, ! Particle position output: 0]no 1]every output 2]only at end   
  LSUBGRID=              0, ! Increase of ABL heights due to sub-grid scale orographic variations;[0]off 1]on 
  LCONVECTION=          	1, ! Switch for convection parameterization;0]off [1]on    
Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/FLEXPART.f90	(revision 50958b85292a7b2ce570403ca6f859592eaa1b5e)
@@ -68,5 +68,11 @@
   integer :: detectformat
 
+
+
+  ! Initialize arrays in com_mod
+  !*****************************
+  call com_mod_allocate_part(maxpart)
   
+
   ! Generate a large number of random numbers
   !******************************************
@@ -137,5 +143,5 @@
     write(*,*) 'call readpaths'
   endif 
-  call readpaths
+  call readpaths(pathfile)
  
   if (verbosity.gt.1) then !show clock info 
@@ -165,9 +171,4 @@
     endif     
   endif
-
-  ! Initialize arrays in com_mod
-  !*****************************
-  call com_mod_allocate_part(maxpart)
-
 
   ! Read the age classes to be used
@@ -452,7 +453,5 @@
   endif
 
-  if (verbosity.gt.0) write (*,*) 'timemanager> call wetdepo'
   call timemanager(metdata_format)
- 
 
   if (verbosity.gt.0) then
@@ -469,4 +468,5 @@
       endif
     end do
+    write (*,*) 'timemanager> call wetdepo'
   endif
   
Index: src/FLEXPART_MPI.f90
===================================================================
--- src/FLEXPART_MPI.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/FLEXPART_MPI.f90	(revision 20963b15051b22eeb381dcf4e824a9104d92717b)
@@ -77,5 +77,10 @@
   if (mp_measure_time) call mpif_mtime('flexpart',0)
 
-  
+  ! Initialize arrays in com_mod 
+  !*****************************
+
+  if(.not.(lmpreader.and.lmp_use_reader)) call com_mod_allocate_part(maxpart_mpi)
+
+
   ! Generate a large number of random numbers
   !******************************************
@@ -146,5 +151,5 @@
     write(*,*) 'call readpaths'
   endif 
-  call readpaths
+  call readpaths(pathfile)
  
   if (verbosity.gt.1) then !show clock info 
@@ -174,9 +179,4 @@
     endif
   endif
-
-  ! Initialize arrays in com_mod 
-  !*****************************
-
-  if(.not.(lmpreader.and.lmp_use_reader)) call com_mod_allocate_part(maxpart_mpi)
 
 
@@ -413,5 +413,5 @@
   end if ! (mpif_pid == 0) 
 
-  if (mp_measure_time) call mpif_mtime('iotime',1)
+  if (mp_measure_time) call mpif_mtime('iotime',0)
 
   if (verbosity.gt.0 .and. lroot) then
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/com_mod.f90	(revision e9e0f0627da3a042c02a5352bf3446bdfbcfa136)
@@ -18,6 +18,4 @@
 
   implicit none
-
-
 
   !****************************************************************
@@ -71,5 +69,5 @@
 
   real :: ctl,fine
-  integer :: ifine,iout,ipout,ipin,iflux,mdomainfill,ipoutfac
+  integer :: ifine,iout,ipout,ipin,iflux,mdomainfill
   integer :: mquasilag,nested_output,ind_source,ind_receptor
   integer :: ind_rel,ind_samp,ioutputforeachrelease,linit_cond,surf_only
@@ -84,5 +82,4 @@
   ! iout     output options: 1 conc. output (ng/m3), 2 mixing ratio (pptv), 3 both
   ! ipout    particle dump options: 0 no, 1 every output interval, 2 only at end
-  ! ipoutfac increase particle dump interval by factor (default 1)
   ! ipin     read in particle positions from dumped file from a previous run
   ! fine     real(ifine)
@@ -124,7 +121,4 @@
   ! lnetcdfout   1 for netcdf grid output, 0 if not. Set in COMMAND (namelist input)
 
-  integer :: linversionout
-  ! linversionout 1 for one grid_time output file for each release containing all timesteps
-
   integer :: nageclass,lage(maxageclass)
 
@@ -134,4 +128,5 @@
 
   logical :: gdomainfill
+
   ! gdomainfill             .T., if domain-filling is global, .F. if not
 
@@ -179,5 +174,5 @@
   real :: ri(5,numclass),rac(5,numclass),rcl(maxspec,5,numclass)
   real :: rgs(maxspec,5,numclass),rlu(maxspec,5,numclass)
-  real :: rm(maxspec),dryvel(maxspec),kao(maxspec)
+  real :: rm(maxspec),dryvel(maxspec)
   real :: ohcconst(maxspec),ohdconst(maxspec),ohnconst(maxspec)
 
@@ -364,7 +359,5 @@
   real :: ciwc(0:nxmax-1,0:nymax-1,nzmax,numwfmem)=0.0 !ice      [kg/kg]
   real :: clw(0:nxmax-1,0:nymax-1,nzmax,numwfmem)=0.0  !combined [m3/m3]
-! RLT add pressure and dry air density
-  real :: prs(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
-  real :: rho_dry(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
+
   real :: pv(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
   real :: rho(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
@@ -388,5 +381,4 @@
   ! uupol,vvpol [m/s]    wind components in polar stereographic projection
   ! tt [K]               temperature data
-  ! prs                  air pressure
   ! qv                   specific humidity data
   ! pv (pvu)             potential vorticity
@@ -659,5 +651,4 @@
   real :: receptorarea(maxreceptor)
   real :: creceptor(maxreceptor,maxspec)
-  real, allocatable, dimension(:,:) :: creceptor0
   character(len=16) :: receptorname(maxreceptor)
   integer :: numreceptor
@@ -682,12 +673,4 @@
   real, allocatable, dimension(:,:) :: xmass1
   real, allocatable, dimension(:,:) :: xscav_frac1
-
-! Variables used for writing out interval averages for partoutput
-!****************************************************************
-
-  integer, allocatable, dimension(:) :: npart_av
-  real, allocatable, dimension(:) :: part_av_cartx,part_av_carty,part_av_cartz,part_av_z,part_av_topo
-  real, allocatable, dimension(:) :: part_av_pv,part_av_qv,part_av_tt,part_av_rho,part_av_tro,part_av_hmix
-  real, allocatable, dimension(:) :: part_av_uu,part_av_vv,part_av_energy
 
   ! eso: Moved from timemanager
@@ -797,19 +780,11 @@
          & idt(nmpart),itramem(nmpart),itrasplit(nmpart),&
          & xtra1(nmpart),ytra1(nmpart),ztra1(nmpart),&
-         & xmass1(nmpart, maxspec))  ! ,&
-!         & checklifetime(nmpart,maxspec), species_lifetime(maxspec,2))!CGZ-lifetime
-
-    if (ipout.eq.3) then
-      allocate(npart_av(nmpart),part_av_cartx(nmpart),part_av_carty(nmpart),&
-           & part_av_cartz(nmpart),part_av_z(nmpart),part_av_topo(nmpart))
-      allocate(part_av_pv(nmpart),part_av_qv(nmpart),part_av_tt(nmpart),&
-           & part_av_rho(nmpart),part_av_tro(nmpart),part_av_hmix(nmpart))
-      allocate(part_av_uu(nmpart),part_av_vv(nmpart),part_av_energy(nmpart))
-    end if
+         & xmass1(nmpart, maxspec),&
+         & checklifetime(nmpart,maxspec), species_lifetime(maxspec,2))!CGZ-lifetime
 
 
     allocate(uap(nmpart),ucp(nmpart),uzp(nmpart),us(nmpart),&
          & vs(nmpart),ws(nmpart),cbt(nmpart))
-
+    
   end subroutine com_mod_allocate_part
 
Index: src/concoutput.f90
===================================================================
--- src/concoutput.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/concoutput.f90	(revision 20963b15051b22eeb381dcf4e824a9104d92717b)
@@ -72,7 +72,4 @@
   real :: sp_fact
   real :: outnum,densityoutrecept(maxreceptor),xl,yl
-! RLT
-  real :: densitydryrecept(maxreceptor)
-  real :: factor_dryrecept(maxreceptor)
 
 !real densityoutgrid(0:numxgrid-1,0:numygrid-1,numzgrid),
@@ -109,5 +106,4 @@
   character(LEN=8),save :: file_stat='REPLACE'
   logical :: ldates_file
-  logical :: lexist
   integer :: ierr
   character(LEN=100) :: dates_char
@@ -207,7 +203,4 @@
         densityoutgrid(ix,jy,kz)=(rho(iix,jjy,kzz,mind)*dz1+ &
              rho(iix,jjy,kzz-1,mind)*dz2)/dz
-! RLT
-        densitydrygrid(ix,jy,kz)=(rho_dry(iix,jjy,kzz,mind)*dz1+ &
-             rho_dry(iix,jjy,kzz-1,mind)*dz2)/dz  
       end do
     end do
@@ -221,12 +214,6 @@
 !densityoutrecept(i)=rho(iix,jjy,1,2)
     densityoutrecept(i)=rho(iix,jjy,1,mind)
-! RLT
-    densitydryrecept(i)=rho_dry(iix,jjy,1,mind)
   end do
 
-! RLT
-! conversion factor for output relative to dry air
-  factor_drygrid=densityoutgrid/densitydrygrid
-  factor_dryrecept=densityoutrecept/densitydryrecept
 
 ! Output is different for forward and backward simulations
@@ -366,5 +353,5 @@
 ! Concentration output
 !*********************
-        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5)) then
+        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5).or.(iout.eq.6)) then
 
 ! Wet deposition
@@ -627,47 +614,4 @@
   end do
 
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  inquire(file=path(2)(1:length(2))//'factor_drygrid',exist=lexist)
-  if (lexist) then
-    ! open and append
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
-            status='old',action='write',access='append')
-  else
-    ! create new
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
-            status='new',action='write')
-  endif
-  sp_count_i=0
-  sp_count_r=0
-  sp_fact=-1.
-  sp_zer=.true.
-  do kz=1,numzgrid
-    do jy=0,numygrid-1
-      do ix=0,numxgrid-1
-        if (factor_drygrid(ix,jy,kz).gt.(1.+smallnum).or.factor_drygrid(ix,jy,kz).lt.(1.-smallnum)) then
-          if (sp_zer.eqv..true.) then ! first value not equal to one
-            sp_count_i=sp_count_i+1
-            sparse_dump_i(sp_count_i)= &
-                  ix+jy*numxgrid+kz*numxgrid*numygrid
-            sp_zer=.false.
-            sp_fact=sp_fact*(-1.)
-          endif
-          sp_count_r=sp_count_r+1
-          sparse_dump_r(sp_count_r)= &
-               sp_fact*factor_drygrid(ix,jy,kz)
-        else ! factor is one
-          sp_zer=.true.
-        endif
-      end do
-    end do
-  end do
-  write(unitoutfactor) sp_count_i
-  write(unitoutfactor) (sparse_dump_i(i),i=1,sp_count_i)
-  write(unitoutfactor) sp_count_r
-  write(unitoutfactor) (sparse_dump_r(i),i=1,sp_count_r)
-  close(unitoutfactor)
-
-
   if (gridtotal.gt.0.) gridtotalunc=gridsigmatotal/gridtotal
   if (wetgridtotal.gt.0.) wetgridtotalunc=wetgridsigmatotal/ &
@@ -696,21 +640,5 @@
   endif
 
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  if (numreceptor.gt.0) then
-    inquire(file=path(2)(1:length(2))//'factor_dryreceptor',exist=lexist)
-     if (lexist) then
-     ! open and append
-      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
-              status='old',action='write',access='append')
-    else
-      ! create new
-      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
-              status='new',action='write')
-    endif
-    write(unitoutfactor) itime
-    write(unitoutfactor) (factor_dryrecept(i),i=1,numreceptor)
-    close(unitoutfactor)
-  endif
+
 
 ! Reinitialization of grid
Index: src/concoutput_mpi.f90
===================================================================
--- src/concoutput_mpi.f90	(revision 6741557b2e77046144879c12ca45ea39587f7099)
+++ src/concoutput_mpi.f90	(revision 20963b15051b22eeb381dcf4e824a9104d92717b)
@@ -364,5 +364,5 @@
 ! Concentration output
 !*********************
-        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5)) then
+        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5).or.(iout.eq.6)) then
 
 ! Wet deposition
Index: src/concoutput_nest.f90
===================================================================
--- src/concoutput_nest.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/concoutput_nest.f90	(revision 7d02c2f5693a56e1b4e9b3923f9343c0a5e6b1fa)
@@ -70,7 +70,4 @@
   real :: sp_fact
   real :: outnum,densityoutrecept(maxreceptor),xl,yl
-! RLT
-  real :: densitydryrecept(maxreceptor)
-  real :: factor_dryrecept(maxreceptor)
 
   !real densityoutgrid(0:numxgrid-1,0:numygrid-1,numzgrid),
@@ -99,5 +96,4 @@
   character :: adate*8,atime*6
   character(len=3) :: anspec
-  logical :: lexist
   integer :: mind 
 ! mind        eso:added to ensure identical results between 2&3-fields versions
@@ -168,7 +164,4 @@
         densityoutgrid(ix,jy,kz)=(rho(iix,jjy,kzz,mind)*dz1+ &
              rho(iix,jjy,kzz-1,mind)*dz2)/dz
-! RLT
-        densitydrygrid(ix,jy,kz)=(rho_dry(iix,jjy,kzz,mind)*dz1+ &
-             rho_dry(iix,jjy,kzz-1,mind)*dz2)/dz
       end do
     end do
@@ -182,12 +175,6 @@
     !densityoutrecept(i)=rho(iix,jjy,1,2)
     densityoutrecept(i)=rho(iix,jjy,1,mind)
-! RLT
-    densitydryrecept(i)=rho_dry(iix,jjy,1,mind)
   end do
 
-! RLT
-! conversion factor for output relative to dry air
-  factor_drygrid=densityoutgrid/densitydrygrid
-  factor_dryrecept=densityoutrecept/densitydryrecept
 
   ! Output is different for forward and backward simulations
@@ -564,45 +551,4 @@
   end do
 
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  inquire(file=path(2)(1:length(2))//'factor_drygrid_nest',exist=lexist)
-  if (lexist) then
-    ! open and append
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid_nest',form='unformatted',&
-            status='old',action='write',access='append')
-  else
-    ! create new
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid_nest',form='unformatted',&
-            status='new',action='write')
-  endif
-  sp_count_i=0
-  sp_count_r=0
-  sp_fact=-1.
-  sp_zer=.true.
-  do kz=1,numzgrid
-    do jy=0,numygridn-1
-      do ix=0,numxgridn-1
-        if (factor_drygrid(ix,jy,kz).gt.(1.+smallnum).or.factor_drygrid(ix,jy,kz).lt.(1.-smallnum)) then
-          if (sp_zer.eqv..true.) then ! first value not equal to one
-            sp_count_i=sp_count_i+1
-            sparse_dump_i(sp_count_i)= &
-                  ix+jy*numxgridn+kz*numxgridn*numygridn
-            sp_zer=.false.
-            sp_fact=sp_fact*(-1.)
-          endif
-          sp_count_r=sp_count_r+1
-          sparse_dump_r(sp_count_r)= &
-               sp_fact*factor_drygrid(ix,jy,kz)
-        else ! factor is one
-          sp_zer=.true.
-        endif
-      end do
-    end do
-  end do
-  write(unitoutfactor) sp_count_i
-  write(unitoutfactor) (sparse_dump_i(i),i=1,sp_count_i)
-  write(unitoutfactor) sp_count_r
-  write(unitoutfactor) (sparse_dump_r(i),i=1,sp_count_r)
-  close(unitoutfactor)
 
 
Index: src/concoutput_surf.f90
===================================================================
--- src/concoutput_surf.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/concoutput_surf.f90	(revision 16b61a5e2d3b1020be1cff080e479ba26f3f7063)
@@ -72,7 +72,4 @@
   real :: sp_fact
   real :: outnum,densityoutrecept(maxreceptor),xl,yl
-! RLT
-  real :: densitydryrecept(maxreceptor)
-  real :: factor_dryrecept(maxreceptor)
 
 !real densityoutgrid(0:numxgrid-1,0:numygrid-1,numzgrid),
@@ -104,5 +101,4 @@
   character :: adate*8,atime*6
   character(len=3) :: anspec
-  logical :: lexist
 
 
@@ -184,7 +180,4 @@
         densityoutgrid(ix,jy,kz)=(rho(iix,jjy,kzz,2)*dz1+ &
              rho(iix,jjy,kzz-1,2)*dz2)/dz
-! RLT
-        densitydrygrid(ix,jy,kz)=(rho_dry(iix,jjy,kzz,2)*dz1+ &
-             rho_dry(iix,jjy,kzz-1,2)*dz2)/dz
       end do
     end do
@@ -197,12 +190,6 @@
     jjy=max(min(nint(yl),nymin1),0)
     densityoutrecept(i)=rho(iix,jjy,1,2)
-! RLT
-    densitydryrecept(i)=rho_dry(iix,jjy,1,2)
   end do
 
-! RLT
-! conversion factor for output relative to dry air
-  factor_drygrid=densityoutgrid/densitydrygrid
-  factor_dryrecept=densityoutrecept/densitydryrecept
 
 ! Output is different for forward and backward simulations
@@ -609,47 +596,4 @@
   end do
 
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  inquire(file=path(2)(1:length(2))//'factor_drygrid',exist=lexist)
-  if (lexist) then
-    ! open and append
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
-            status='old',action='write',access='append')
-  else
-    ! create new
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
-            status='new',action='write')
-  endif
-  sp_count_i=0
-  sp_count_r=0
-  sp_fact=-1.
-  sp_zer=.true.
-  do kz=1,1
-    do jy=0,numygrid-1
-      do ix=0,numxgrid-1
-        if (factor_drygrid(ix,jy,kz).gt.(1.+smallnum).or.factor_drygrid(ix,jy,kz).lt.(1.-smallnum)) then
-          if (sp_zer.eqv..true.) then ! first value not equal to one
-            sp_count_i=sp_count_i+1
-            sparse_dump_i(sp_count_i)= &
-                  ix+jy*numxgrid+kz*numxgrid*numygrid
-            sp_zer=.false.
-            sp_fact=sp_fact*(-1.)
-          endif
-          sp_count_r=sp_count_r+1
-          sparse_dump_r(sp_count_r)= &
-               sp_fact*factor_drygrid(ix,jy,kz)
-        else ! factor is one
-          sp_zer=.true.
-        endif
-      end do
-    end do
-  end do
-  write(unitoutfactor) sp_count_i
-  write(unitoutfactor) (sparse_dump_i(i),i=1,sp_count_i)
-  write(unitoutfactor) sp_count_r
-  write(unitoutfactor) (sparse_dump_r(i),i=1,sp_count_r)
-  close(unitoutfactor)
-
-
   if (gridtotal.gt.0.) gridtotalunc=gridsigmatotal/gridtotal
   if (wetgridtotal.gt.0.) wetgridtotalunc=wetgridsigmatotal/ &
@@ -678,21 +622,5 @@
   endif
 
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  if (numreceptor.gt.0) then
-    inquire(file=path(2)(1:length(2))//'factor_dryreceptor',exist=lexist)
-     if (lexist) then
-     ! open and append
-      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
-              status='old',action='write',access='append')
-    else
-      ! create new
-      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
-              status='new',action='write')
-    endif
-    write(unitoutfactor) itime
-    write(unitoutfactor) (factor_dryrecept(i),i=1,numreceptor)
-    close(unitoutfactor)
-  endif
+
 
 ! Reinitialization of grid
Index: src/concoutput_surf_nest.f90
===================================================================
--- src/concoutput_surf_nest.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/concoutput_surf_nest.f90	(revision 6a678e3fe206788e9704a724ec54e6d3dcc908e7)
@@ -70,7 +70,4 @@
   real :: sp_fact
   real :: outnum,densityoutrecept(maxreceptor),xl,yl
-! RLT
-  real :: densitydryrecept(maxreceptor)
-  real :: factor_dryrecept(maxreceptor)
 
   !real densityoutgrid(0:numxgrid-1,0:numygrid-1,numzgrid),
@@ -99,5 +96,5 @@
   character :: adate*8,atime*6
   character(len=3) :: anspec
-  logical :: lexist
+
 
   ! Determine current calendar date, needed for the file name
@@ -162,7 +159,4 @@
         densityoutgrid(ix,jy,kz)=(rho(iix,jjy,kzz,2)*dz1+ &
              rho(iix,jjy,kzz-1,2)*dz2)/dz
-! RLT
-        densitydrygrid(ix,jy,kz)=(rho_dry(iix,jjy,kzz,2)*dz1+ &
-             rho_dry(iix,jjy,kzz-1,2)*dz2)/dz
       end do
     end do
@@ -175,12 +169,6 @@
       jjy=max(min(nint(yl),nymin1),0)
       densityoutrecept(i)=rho(iix,jjy,1,2)
-! RLT
-    densitydryrecept(i)=rho_dry(iix,jjy,1,2)
     end do
 
-! RLT
-! conversion factor for output relative to dry air
-  factor_drygrid=densityoutgrid/densitydrygrid
-  factor_dryrecept=densityoutrecept/densitydryrecept
 
   ! Output is different for forward and backward simulations
@@ -329,6 +317,6 @@
          write(unitoutgrid) sp_count_r
          write(unitoutgrid) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgrid) sp_count_r
-!         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgrid) sp_count_r
+         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
 
   ! Dry deposition
@@ -366,6 +354,6 @@
          write(unitoutgrid) sp_count_r
          write(unitoutgrid) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgrid) sp_count_r
-!         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgrid) sp_count_r
+         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
 
 
@@ -411,6 +399,6 @@
          write(unitoutgrid) sp_count_r
          write(unitoutgrid) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgrid) sp_count_r
-!         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgrid) sp_count_r
+         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
          else
 
@@ -452,6 +440,6 @@
          write(unitoutgrid) sp_count_r
          write(unitoutgrid) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgrid) sp_count_r
-!         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgrid) sp_count_r
+         write(unitoutgrid) (sparse_dump_u(i),i=1,sp_count_r)
          endif ! surf_only
 
@@ -499,6 +487,6 @@
          write(unitoutgridppt) sp_count_r
          write(unitoutgridppt) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgridppt) sp_count_r
-!         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgridppt) sp_count_r
+         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
 
 
@@ -538,6 +526,6 @@
          write(unitoutgridppt) sp_count_r
          write(unitoutgridppt) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgridppt) sp_count_r
-!         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgridppt) sp_count_r
+         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
 
 
@@ -582,6 +570,6 @@
          write(unitoutgridppt) sp_count_r
          write(unitoutgridppt) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgridppt) sp_count_r
-!         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgridppt) sp_count_r
+         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
          else
 
@@ -623,6 +611,6 @@
          write(unitoutgridppt) sp_count_r
          write(unitoutgridppt) (sparse_dump_r(i),i=1,sp_count_r)
-!         write(unitoutgridppt) sp_count_r
-!         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
+         write(unitoutgridppt) sp_count_r
+         write(unitoutgridppt) (sparse_dump_u(i),i=1,sp_count_r)
          endif ! surf_only
 
@@ -636,46 +624,4 @@
 
   end do
-
-! RLT Aug 2017
-! Write out conversion factor for dry air
-  inquire(file=path(2)(1:length(2))//'factor_drygrid_nest',exist=lexist)
-  if (lexist) then
-    ! open and append
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid_nest',form='unformatted',&
-            status='old',action='write',access='append')
-  else
-    ! create new
-    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid_nest',form='unformatted',&
-            status='new',action='write')
-  endif
-  sp_count_i=0
-  sp_count_r=0
-  sp_fact=-1.
-  sp_zer=.true.
-  do kz=1,1
-    do jy=0,numygridn-1
-      do ix=0,numxgridn-1
-        if (factor_drygrid(ix,jy,kz).gt.(1.+smallnum).or.factor_drygrid(ix,jy,kz).lt.(1.-smallnum)) then
-          if (sp_zer.eqv..true.) then ! first value not equal to one
-            sp_count_i=sp_count_i+1
-            sparse_dump_i(sp_count_i)= &
-                  ix+jy*numxgridn+kz*numxgridn*numygridn
-            sp_zer=.false.
-            sp_fact=sp_fact*(-1.)
-          endif
-          sp_count_r=sp_count_r+1
-          sparse_dump_r(sp_count_r)= &
-               sp_fact*factor_drygrid(ix,jy,kz)
-        else ! factor is one
-          sp_zer=.true.
-        endif
-      end do
-    end do
-  end do
-  write(unitoutfactor) sp_count_i
-  write(unitoutfactor) (sparse_dump_i(i),i=1,sp_count_i)
-  write(unitoutfactor) sp_count_r
-  write(unitoutfactor) (sparse_dump_r(i),i=1,sp_count_r)
-  close(unitoutfactor)
 
 
Index: src/getfields.f90
===================================================================
--- src/getfields.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/getfields.f90	(revision 6ecb30a41fb8a07e153abadc712699a09c15f90c)
@@ -87,8 +87,4 @@
   real :: pvhn(0:nxmaxn-1,0:nymaxn-1,nuvzmax,maxnests)
   real :: wwhn(0:nxmaxn-1,0:nymaxn-1,nwzmax,maxnests)
-! RLT added partial pressure water vapor 
-  real :: pwater(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
-  integer :: kz, ix
-  character(len=100) :: rowfmt
 
   integer :: indmin = 1
@@ -157,7 +153,7 @@
 40  indmin=indj
 
-    if (WETBKDEP) then
-      call writeprecip(itime,memind(1))
-    endif
+   if (WETBKDEP) then
+        call writeprecip(itime,memind(1))
+   endif
 
   else
@@ -208,32 +204,9 @@
 60  indmin=indj
 
-    if (WETBKDEP) then
-      call writeprecip(itime,memind(1))
-    endif
-
-  end if
-
-  ! RLT calculate dry air density
-  pwater=qv*prs/((r_air/r_water)*(1.-qv)+qv)
-  rho_dry=(prs-pwater)/(r_air*tt)
-
-  ! test density
-!  write(rowfmt,'(A,I6,A)') '(',nymax,'(E11.4,1X))'
-!  if(itime.eq.0) then
-!    open(500,file=path(2)(1:length(2))//'rho_dry.txt',status='replace',action='write')
-!    do kz=1,nzmax
-!      do ix=1,nxmax
-!        write(500,fmt=rowfmt) rho_dry(ix,:,kz,1)
-!      end do
-!    end do
-!    close(500)
-!    open(500,file=path(2)(1:length(2))//'rho.txt',status='replace',action='write')
-!    do kz=1,nzmax
-!      do ix=1,nxmax
-!        write(500,fmt=rowfmt) rho(ix,:,kz,1)
-!      end do
-!    end do
-!    close(500)
-!  endif
+   if (WETBKDEP) then
+        call writeprecip(itime,memind(1))
+   endif
+
+  endif
 
   lwindinterv=abs(memtime(2)-memtime(1))
Index: src/init_domainfill.f90
===================================================================
--- src/init_domainfill.f90	(revision 0a94e13d0d122caab219884890c29edcb2893c60)
+++ src/init_domainfill.f90	(revision b5127f9034f2a15f9a3ce226fd26edfe845311de)
@@ -86,8 +86,4 @@
     endif
   endif
-
-! Exit here if resuming a run from particle dump
-!***********************************************
-  if (gdomainfill.and.ipin.ne.0) return
 
 ! Do not release particles twice (i.e., not at both in the leftmost and rightmost
@@ -418,5 +414,5 @@
 !***************************************************************************
 
-  if ((ipin.eq.1).and.(.not.gdomainfill)) then
+  if (ipin.eq.1) then
     open(unitboundcond,file=path(2)(1:length(2))//'boundcond.bin', &
          form='unformatted')
Index: src/init_domainfill_mpi.f90
===================================================================
--- src/init_domainfill_mpi.f90	(revision 328fdf90784e3387eb9745d1009d7523f4ed1976)
+++ src/init_domainfill_mpi.f90	(revision b5127f9034f2a15f9a3ce226fd26edfe845311de)
@@ -110,8 +110,4 @@
   endif
 
-! Exit here if resuming a run from particle dump
-!***********************************************
-  if (gdomainfill.and.ipin.ne.0) return
-
 ! Do not release particles twice (i.e., not at both in the leftmost and rightmost
 ! grid cell) for a global domain
@@ -217,4 +213,5 @@
         colmass(ix,jy)=(pp(1)-pp(nz))/ga*gridarea(jy)
         colmasstotal=colmasstotal+colmass(ix,jy)
+
       end do
     end do
@@ -469,5 +466,5 @@
 
 ! eso TODO: only needed for root process
-    if ((ipin.eq.1).and.(.not.gdomainfill)) then
+    if (ipin.eq.1) then
       open(unitboundcond,file=path(2)(1:length(2))//'boundcond.bin', &
            form='unformatted')
@@ -477,31 +474,25 @@
     endif
 
-    if (ipin.eq.0) then    
-      numpart = numpart/mp_partgroup_np
-      if (mod(numpart,mp_partgroup_np).ne.0) numpart=numpart+1
-    end if
-
-  else ! Allocate dummy arrays for receiving processes
-    if (ipin.eq.0) then    
-      allocate(itra1_tmp(nullsize),npoint_tmp(nullsize),nclass_tmp(nullsize),&
-           & idt_tmp(nullsize),itramem_tmp(nullsize),itrasplit_tmp(nullsize),&
-           & xtra1_tmp(nullsize),ytra1_tmp(nullsize),ztra1_tmp(nullsize),&
-           & xmass1_tmp(nullsize, nullsize))
-    end if
+    numpart = numpart/mp_partgroup_np
+    if (mod(numpart,mp_partgroup_np).ne.0) numpart=numpart+1
+
+  else ! Allocate dummy arrays for receiving processes 
+    allocate(itra1_tmp(nullsize),npoint_tmp(nullsize),nclass_tmp(nullsize),&
+         & idt_tmp(nullsize),itramem_tmp(nullsize),itrasplit_tmp(nullsize),&
+         & xtra1_tmp(nullsize),ytra1_tmp(nullsize),ztra1_tmp(nullsize),&
+         & xmass1_tmp(nullsize, nullsize))
     
-  end if ! end if(lroot)
-
+  end if ! end if(lroot)  
 
 
 ! Distribute particles to other processes (numpart is 'per-process', not total)
-! Only if not restarting from previous run
-  if (ipin.eq.0) then
-    call MPI_Bcast(numpart, 1, MPI_INTEGER, id_root, mp_comm_used, mp_ierr)
-    call mpif_send_part_properties(npart(1)/mp_partgroup_np)
+  call MPI_Bcast(numpart, 1, MPI_INTEGER, id_root, mp_comm_used, mp_ierr)
+! eso TODO: xmassperparticle: not necessary to send
+  call MPI_Bcast(xmassperparticle, 1, mp_sp, id_root, mp_comm_used, mp_ierr)
+  call mpif_send_part_properties(numpart)
 
 ! Deallocate the temporary arrays used for all particles
-    deallocate(itra1_tmp,npoint_tmp,nclass_tmp,idt_tmp,itramem_tmp,&
+  deallocate(itra1_tmp,npoint_tmp,nclass_tmp,idt_tmp,itramem_tmp,&
          & itrasplit_tmp,xtra1_tmp,ytra1_tmp,ztra1_tmp,xmass1_tmp)
-  end if
 
 
Index: src/makefile
===================================================================
--- src/makefile	(revision 2eefa58ac797f119acc28fade41beff352006040)
+++ src/makefile	(revision 7123c700d7191876c1d22402ad01729c688c6e56)
@@ -118,5 +118,4 @@
 OBJECTS_SERIAL = \
 	releaseparticles.o 	partoutput.o \
-	partoutput_average.o \
 	conccalc.o \
 	init_domainfill.o 	concoutput.o  \
@@ -128,6 +127,4 @@
 	redist.o		\
 	concoutput_surf.o	concoutput_surf_nest.o	\
-	concoutput_inversion_nest.o 	\
-	concoutput_inversion.o \
 	getfields.o \
         readwind_ecmwf.o
@@ -135,5 +132,5 @@
 ## For MPI version 
 OBJECTS_MPI = releaseparticles_mpi.o partoutput_mpi.o \
-	partoutput_average_mpi.o conccalc_mpi.o \
+	conccalc_mpi.o \
 	init_domainfill_mpi.o concoutput_mpi.o 	\
 	timemanager_mpi.o FLEXPART_MPI.o	\
@@ -152,5 +149,5 @@
 advance.o		initialize.o		\
 writeheader.o		writeheader_txt.o  	\
-partpos_average.o	writeprecip.o \
+writeprecip.o \
 writeheader_surf.o     	assignland.o\
 part0.o 		gethourlyOH.o\
@@ -202,5 +199,5 @@
 drydepokernel_nest.o    zenithangle.o \
 ohreaction.o            getvdep_nests.o \
-initial_cond_calc.o     initial_cond_output.o initial_cond_output_inversion.o \
+initial_cond_calc.o     initial_cond_output.o \
 dynamic_viscosity.o     get_settling.o	\
 initialize_cbl_vel.o	re_initialize_particle.o \
@@ -274,9 +271,7 @@
 conccalc_mpi.o: com_mod.o mpi_mod.o outg_mod.o par_mod.o unc_mod.o
 concoutput.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o mean_mod.o
-concoutput_inversion.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o mean_mod.o
 concoutput_mpi.o: com_mod.o mpi_mod.o outg_mod.o par_mod.o point_mod.o \
 	unc_mod.o mean_mod.o
 concoutput_nest.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o mean_mod.o
-concoutput_inversion_nest.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o mean_mod.o
 concoutput_nest_mpi.o: com_mod.o mpi_mod.o outg_mod.o par_mod.o point_mod.o \
 	unc_mod.o mean_mod.o
@@ -325,5 +320,4 @@
 initial_cond_calc.o: com_mod.o outg_mod.o par_mod.o unc_mod.o
 initial_cond_output.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o
-initial_cond_output_inversion.o: com_mod.o outg_mod.o par_mod.o point_mod.o unc_mod.o
 initialize.o: com_mod.o hanna_mod.o interpol_mod.o par_mod.o random_mod.o
 initialize_cbl_vel.o: com_mod.o par_mod.o random_mod.o
@@ -354,8 +348,5 @@
 part0.o: par_mod.o
 partdep.o: par_mod.o
-partpos_average.o: com_mod.o par_mod.o
 partoutput.o: com_mod.o par_mod.o
-partoutput_average.o: com_mod.o par_mod.o
-partoutput_average_mpi.o: com_mod.o par_mod.o mpi_mod.o
 partoutput_mpi.o: com_mod.o mpi_mod.o par_mod.o
 partoutput_short.o: com_mod.o par_mod.o
